//
// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is State Machine Compiler (SMC).
// 
// The Initial Developer of the Original Code is Charles W. Rapp.
// Portions created by Charles W. Rapp are
// Copyright (C) 2000 - 2003 Charles W. Rapp.
// All Rights Reserved.
// 
// Contributor(s): 
//
// Function
//	Main
//
// Description
//  This routine starts the finite state machine running.
//
// RCS ID
// $Id: Main.cpp,v 1.0 2003/12/14 19:20:14 charlesr Exp $
//
// CHANGE LOG
// $Log: Main.cpp,v $
// Revision 1.0  2003/12/14 19:20:14  charlesr
// Initial revision
//

#if (__GNUC__ >= 3 && __GNUC_MINOR__ >= 1)
#include <iostream>
#include <cassert>
#include <cstdio>
#elif defined(WIN32)
#include <iostream>
#include <windows.h>
#else
#include <iostream.h>
#endif
#include "AppClass.h"

const static char _rcs_id[] = "$Id: Main.cpp,v 1.0 2003/12/14 19:20:14 charlesr Exp $";

using namespace std;

int main(int argc, char *argv[])
{
	AppClass thisContext;

	if (argc < 2)
	{
		cerr << "No string to check." << endl;
		return(1);
	}
	else
	{
		cout << "The string \"" << argv[1] << "\" is ";

		if (thisContext.CheckString(argv[1]) == false)
		{
			cout << "not acceptable." << endl;
		}
		else
		{
			cout << "acceptable." << endl;
		}
	}

	return(0);
}
